<?php include('casa/setup.casa.php');

$CodigoTraspaso = DataForms::POST('CodigoTraspaso');
$ProdCodigo = DataForms::POST('ProdCodigo');
$Cantidad = DataForms::POST('Cantidad');
$Num = DataForms::POST('Num');

//validar campos vacios
if(trim($Cantidad)=='' or $Cantidad<=0){	
	echo '<script>$("#txtProd_'.$Num.'").focus();</script>';
	exit();
} 
//validar cantidad
$sql = "SELECT * FROM inventarios_productos 
WHERE prod_codigo = '$ProdCodigo';";	
$db= new DB();
$db->dbSQL($sql);
$db->next();
$ProdStock = $db->dbField('');
$prod_piezascaja = $db->dbField('prod_piezascaja');
$prod_cantidadcajas = $db->dbField('prod_cantidadcajas');
$prod_unidadesreal = $db->dbField('prod_unidadesreal');
$CantidadRealCajas = number_format($prod_unidadesreal / $prod_piezascaja,0);															
	if($Cantidad>$CantidadRealCajas){
		echo '<script>alert("La Cantidad ingresada no puede sobrepasar a la cantidad disponible...\nCantidad Disponible: '.$CantidadRealCajas.'");</script>';
		exit();
	}
//ubicacion del usuario solicitante	
$sqlSolicita = "SELECT * FROM rol_usuarios WHERE us_id ='$USID';";
$Solicita = new DB();
$Solicita->dbSQL($sqlSolicita);
$Solicita->next();
	$ubicacodigo = $Solicita->dbField('ubica_codigo');
//Guardar traspaso
$sqlTraspaso = "INSERT INTO inventarios_solicitartraspasos(
	solic_codigo,
	us_id, prod_codigo,solic_ubicacodigo,
	solic_cantidadcajas, solic_estado
)VALUES(
	'$CodigoTraspaso',
	'$USID', '$ProdCodigo','$ubicacodigo',
	'$Cantidad', '0'
);";	
$db->dbSQL($sqlTraspaso);
//mostrar todos los registros previos del Traspaso segun el codigo de traspaso
?>
<script src="<?php echo PATH_HOME; ?>assets/js/sweetalert/sweetalert.min.js"></script>
<script>
$(document).ready(function(){
  swal({
		title: 'Traspaso!!!',
			 html: '<h3>Producto agregado!!!</h3>',
			 confirmButtonClass: 'btn bg-dark',
			 confirmButtonText: 'ACEPTAR',
		timer: 1000
  }).then();
});		
</script>
<?php
echo "<script>$('#CarritoTras').load('".PATH_HOME.'traspasos-solicitar-carrito/'.$CodigoTraspaso."&rnd=".uniqid()."');</script>";
?>		